import { OnInit } from '@angular/core';
import { FormDisabledDirective } from '../form-disabled.directive';
import { Icon } from '../../icon/icon.component';
export declare class ButtonIconComponent implements OnInit {
    private formDisabled;
    icon: Icon;
    color: 'primary' | 'warning' | 'critical' | 'contrast-5';
    size: 'small';
    shape: 'circle';
    labelPosition: 'left' | 'right';
    labelSize: 'medium' | 'big';
    labelColor: 'invert';
    staticLabel: boolean;
    set setStaticLabel(value: boolean);
    hover: boolean;
    disabled: boolean;
    constructor(formDisabled: FormDisabledDirective);
    set setDisabled(value: boolean);
    ngOnInit(): void;
    get viewDisabled(): true;
    get iconClass(): any[];
    get labelClass(): any[];
    onMouseEnter(): void;
    onMouseLeave(): void;
}
